%define anolis_release 1
%global pypi_name idna

Name:           python-%{pypi_name}
Version:        3.7
Release:        %{anolis_release}%{dist}
Summary:        Internationalized Domain Names in Applications (IDNA)
License:        BSD-3-Clause and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://files.pythonhosted.org/packages/21/ed/f86a79a07470cb07819390452f178b3bef1d375f2ec021ecfc709fc7cf07/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}dist(pytest) pyproject-rpm-macros python%{python3_pkgversion}-pytest

%description
Support for the Internationalized Domain Names in Applications (IDNA) protocol
as specified in RFC 5891. This is the latest version of the protocol and is
sometimes referred to as “IDNA 2008”.

This library also provides support for Unicode Technical Standard 46, Unicode
IDNA Compatibility Processing.

This acts as a suitable replacement for the “encodings.idna” module that comes
with the Python standard library, but which only supports the older superseded
IDNA specification (RFC 3490).

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Internationalized Domain Names in Applications (IDNA)
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Support for the Internationalized Domain Names in Applications (IDNA) protocol
as specified in RFC 5891. This is the latest version of the protocol and is
sometimes referred to as “IDNA 2008”.

This library also provides support for Unicode Technical Standard 46, Unicode
IDNA Compatibility Processing.

This acts as a suitable replacement for the “encodings.idna” module that comes
with the Python standard library, but which only supports the older superseded
IDNA specification (RFC 3490).

%package doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f %pyproject_files
%license LICENSE.md

%files doc
%doc README.rst HISTORY.rst

%changelog
* Wed May 15 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.7-1
- update to 3.7

* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.4-3
- Rebuild with python3.11

* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.4-2
- Optimize the spec file

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.4-1
- update to 3.4

* Mon Apr 18 2022 Zhongling He <zhonglingh@linux.alibaba.com> 3.3-1
- Init package from upstream v3.3
